> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Deal Details

> Create a new deal data with custom fields



## OpenAPI

````yaml post /deal_details
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /deal_details:
    post:
      tags:
        - Deal Details
      summary: Create Deal Details
      description: Create a new deal data with custom fields
      parameters:
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/deal_details'
        description: deal
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deal_details'
          description: The updated Deal object
        '201':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/deal_details'
                    title: Deal
                  - title: Empty
                    type: object
                    properties: {}
          description: The Deal was created
        '204':
          content: {}
          description: No Content
components:
  schemas:
    deal_details:
      type: object
      properties:
        id:
          type: string
          format: uuid
          default: random uuid
        created_at:
          type: string
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        contact_id:
          type: string
          description: Contact ID
          format: uuid
        name:
          type: string
          description: Name of the deal
          format: text
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        type_key:
          type: string
          description: Type Key
          format: text
        status_key:
          type: string
          description: Status Key
          format: text
        assignee_id:
          type: string
          description: Assignee ID
          format: uuid
          nullable: true
        value:
          type: number
          description: Value of the deal
          format: numeric
          nullable: true
        currency:
          type: string
          description: Currency of the deal
          format: public.currency
          enum:
            - EUR
            - CHF
            - USD
          default: EUR
        won_at:
          type: string
          description: Won at timestamp
          format: timestamp with time zone
          nullable: true
        lost_at:
          type: string
          description: Lost at timestamp
          format: timestamp with time zone
          nullable: true
      additionalProperties:
        oneOf:
          - type: string
            example: your string custom field
          - format: date
            type: string
          - format: timestamp with time zone
            type: string
          - type: integer
            example: 456
          - type: boolean
            example: true
          - type: array
            items:
              type: string
            example:
              - item1
              - item2
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````